Ir al contenido
Iniciar sesión Registrarse

API de autor de Google Scholar

Obtén el perfil completo de un autor de Google Scholar, incluida su lista de publicaciones, métricas de citas y colegas. Configura engine=google_scholar_author y pasa el ID del autor en author_id.

GET https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesTu clave de API de SERP
enginestringyesDebe ser google_scholar_author
author_idstringyesEl ID de autor de Google Scholar
devicestringnodesktop, mobile o tablet
view_opstringnoview_citation o list_colleagues
sortstringnotitle o pubdate
citation_idstringnoObligatorio cuando view_op=view_citation
hlstringnoCódigo de idioma de la interfaz
startintnoDesplazamiento de resultados para la paginación
numintnoNúmero de resultados por página
Ventana de terminal
curl "https://serp.shifter.io/v1?engine=google_scholar_author&api_key=YOUR_API_KEY&author_id=LSsXyncAAAAJ"
{
"search_parameters": {
"engine": "google_scholar_author",
"author_id": "LSsXyncAAAAJ"
},
"author": {
"name": "Jane Doe",
"affiliations": "Professor, Stanford University",
"email": "Verified email at stanford.edu",
"interests": [ { "title": "Machine Learning" } ],
"thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..."
},
"articles": [
{
"title": "Deep learning for computer vision",
"link": "https://scholar.google.com/citations?view_op=view_citation&...",
"citation_id": "u5HHmVD_uO8C",
"year": "2015",
"cited_by": { "value": 4500 }
}
],
"cited_by": {
"table": [ { "citations": { "all": 12000, "since_2019": 8000 } } ]
}
}